Private Messenger
=================================


CONTENTS
---------------------

 * Introduction
 * Requirements
 * Installation
 * Configuration


INTRODUCTION
------------

 * This module extendeds functionality of core messenger to handle situations when you want to leave a specific user with warning/error/info message on login event.

 * i.e. if system has applied an action against a user or any data related to him/her and want to let know what happened beside any other notification method.

 * i think this module can be more developed to not just leave a message on login but also on page refresh but i didn't check on performance if did so and admin may leave a custom warning for specific user through a form. if you have an idea to extend, you're more than welcomed to create an issue.


 * For a full description of the module, visit the project page:
   https://www.drupal.org/project/private_messenger

 * To submit bug reports and feature suggestions, or track changes:
   https://www.drupal.org/project/issues/private_messenger 

REQUIREMENTS
------------

 * This module requires no modules outside of Drupal core.


INSTALLATION
------------

* to get the module you can download and unzip it in contrib modules folder or better use composer to install the module and manage your dependencies:
```
 $ composer require drupal/private_messenger.
```
* visit https://www.drupal.org/node/1897420 for further information.


CONFIGURATION
-------------

 * You need to create an private messenger entity whenever needed and module will load this entity on login and show message and remove the entity to not flood its table. in future i will add a simpler method to send the message.

 ```
  $message = \Drupal::entityTypeManager()->getStorage('private_messenger_message')->create([
    'type' => 'warning',
    'recepient_uid' => 5,
    'message' => 'your data has been updated by site admin.'
  ]);
  $message->save();
 ```

