<?php

namespace Drupal\private_messenger;

use Drupal\Core\Entity\EntityInterface;
use Drupal\Core\Entity\EntityViewBuilder;

/**
 * Provides a view controller for a private messenger message entity type.
 */
class PrivateMessengerMessageViewBuilder extends EntityViewBuilder {

  /**
   * {@inheritdoc}
   */
  protected function getBuildDefaults(EntityInterface $entity, $view_mode) {
    $build = parent::getBuildDefaults($entity, $view_mode);
    // The private messenger message has no entity template itself.
    unset($build['#theme']);
    return $build;
  }

}
